| Classes - Annotated - Tree - Functions - Home - Structure

# QCharRef Class Reference

The QCharRef class is a helper class for QString. More...

`#include <qstring.h>`

List of all member functions.

## Detailed Description

The QCharRef class is a helper class for QString.

It provides the ability to work on characters in a QString in a natural fashion.

When you get an object of type QCharRef, you can assign to it, which will operate on the string from which you got it. That is its whole purpose in life. It becomes invalid once further modifications are made to the string: If you want to keep it, copy it into a QChar.

Most of the QChar member functions also exist in QCharRef. However, they are not explicitly documented here.

See also QString::operator[](), QString::at() and QChar.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.